import { CSSProperties } from 'react';

export declare function AddCSSVariables(varnames: string[]): void;
export interface MonacoEditorProps {
    className?: string;
    style?: CSSProperties;
    theme?: string;
    value: string;
    language: string;
    onChange?: (newValue: string) => void;
    height?: string;
    lineNumbers?: boolean;
    fontSize?: number;
    minimap?: boolean;
}
export declare function MonacoEditor(props: MonacoEditorProps): import("react/jsx-runtime").JSX.Element;
export default MonacoEditor;
